/**
 * Generated by Apache Royale Compiler from org/apache/royale/test/bdd/expect.as
 * org.apache.royale.test.bdd.expect
 *
 * @fileoverview
 *
 * @suppress {checkTypes|accessControls}
 */

goog.provide('org.apache.royale.test.bdd.expect');
goog.provide('org.apache.royale.test.bdd.expect.Expect');

goog.require('org.apache.royale.test.Assert');
goog.require('org.apache.royale.test.bdd.IExpect');



/**
 * Allows chaining of BDD-style assertions using natural language.
 * @param {*} value
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect = function(value) {
  return new org.apache.royale.test.bdd.expect.Expect(value);
}


/**
 * @constructor
 * @implements {org.apache.royale.test.bdd.IExpect}
 * @param {*} value
 */
org.apache.royale.test.bdd.expect.Expect = function(value) {
  this.Expect__value = value;
};


/**
 * @private
 * @type {*}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.Expect__value;


/**
 * @private
 * @type {boolean}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.Expect__not;


/**
 * @param {*} value
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.equal = function(value, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotEquals(this.Expect__value, value, message);
  } else {
    org.apache.royale.test.Assert.assertEquals(this.Expect__value, value, message);
  }
  return this;
};


/**
 * @param {*} value
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.equals = function(value, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.equal(value, message);
};


/**
 * @param {*} value
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.eq = function(value, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.equal(value, message);
};


/**
 * @param {*} value
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.strictlyEqual = function(value, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotStrictlyEquals(this.Expect__value, value, message);
  } else {
    org.apache.royale.test.Assert.assertStrictlyEquals(this.Expect__value, value, message);
  }
  return this;
};


/**
 * @param {*} value
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.strictlyEquals = function(value, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.strictlyEqual(value, message);
};


/**
 * @param {number} minimum
 * @param {number} maximum
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.within = function(minimum, maximum, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotWithin(Number(this.Expect__value), minimum, maximum, message);
  } else {
    org.apache.royale.test.Assert.assertWithin(Number(this.Expect__value), minimum, maximum, message);
  }
  return this;
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.lessThan = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failLessThan(Number(this.Expect__value), other, message);
  } else {
    org.apache.royale.test.Assert.assertLessThan(Number(this.Expect__value), other, message);
  }
  return this;
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.greaterThan = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failGreaterThan(Number(this.Expect__value), other, message);
  } else {
    org.apache.royale.test.Assert.assertGreaterThan(Number(this.Expect__value), other, message);
  }
  return this;
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.lessThanOrEqual = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failLessThanOrEqual(Number(this.Expect__value), other, message);
  } else {
    org.apache.royale.test.Assert.assertLessThanOrEqual(Number(this.Expect__value), other, message);
  }
  return this;
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.greaterThanOrEqual = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failGreaterThanOrEqual(Number(this.Expect__value), other, message);
  } else {
    org.apache.royale.test.Assert.assertGreaterThanOrEqual(Number(this.Expect__value), other, message);
  }
  return this;
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.lt = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.lessThan(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.below = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.lessThan(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.lte = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.lessThanOrEqual(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.most = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.lessThanOrEqual(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.gt = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.greaterThan(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.above = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.greaterThan(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.gte = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.greaterThanOrEqual(other, message);
};


/**
 * @param {number} other
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.least = function(other, message) {
  message = typeof message !== 'undefined' ? message : null;
  return this.greaterThanOrEqual(other, message);
};


/**
 * @param {Object} type
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.type = function(type, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotType(this.Expect__value, type, message);
  } else {
    org.apache.royale.test.Assert.assertType(this.Expect__value, type, message);
  }
  return this;
};


/**
 * @param {RegExp} regExp
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.match = function(regExp, message) {
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotMatch(org.apache.royale.utils.Language.string(this.Expect__value), regExp, message);
  } else {
    org.apache.royale.test.Assert.assertMatch(org.apache.royale.utils.Language.string(this.Expect__value), regExp, message);
  }
  return this;
};


/**
 * @param {Object=} type
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.throw = function(type, message) {
  type = typeof type !== 'undefined' ? type : null;
  message = typeof message !== 'undefined' ? message : null;
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failThrows(this.Expect__value, type, message);
  } else {
    org.apache.royale.test.Assert.assertThrows(this.Expect__value, type, message);
  }
  return this;
};


/**
 * @param {Object=} type
 * @param {string=} message
 * @return {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.throws = function(type, message) {
  type = typeof type !== 'undefined' ? type : null;
  message = typeof message !== 'undefined' ? message : null;
  return this.throw(type, message);
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.not;


org.apache.royale.test.bdd.expect.Expect.prototype.get__not = function() {
  this.Expect__not = !this.Expect__not;
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.true;


org.apache.royale.test.bdd.expect.Expect.prototype.get__true = function() {
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failTrue(this.Expect__value);
  } else {
    org.apache.royale.test.Assert.assertTrue(this.Expect__value);
  }
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.false;


org.apache.royale.test.bdd.expect.Expect.prototype.get__false = function() {
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failFalse(this.Expect__value);
  } else {
    org.apache.royale.test.Assert.assertFalse(this.Expect__value);
  }
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.null;


org.apache.royale.test.bdd.expect.Expect.prototype.get__null = function() {
  if (this.Expect__not) {
    org.apache.royale.test.Assert.assertNotNull(this.Expect__value);
  } else {
    org.apache.royale.test.Assert.assertNull(this.Expect__value);
  }
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.NaN;


org.apache.royale.test.bdd.expect.Expect.prototype.get__NaN = function() {
  if (this.Expect__not) {
    org.apache.royale.test.Assert.failNaN(Number(this.Expect__value));
  } else {
    org.apache.royale.test.Assert.assertNaN(Number(this.Expect__value));
  }
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.to;


org.apache.royale.test.bdd.expect.Expect.prototype.get__to = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.be;


org.apache.royale.test.bdd.expect.Expect.prototype.get__be = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.been;


org.apache.royale.test.bdd.expect.Expect.prototype.get__been = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.is;


org.apache.royale.test.bdd.expect.Expect.prototype.get__is = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.that;


org.apache.royale.test.bdd.expect.Expect.prototype.get__that = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.which;


org.apache.royale.test.bdd.expect.Expect.prototype.get__which = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.and;


org.apache.royale.test.bdd.expect.Expect.prototype.get__and = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.has;


org.apache.royale.test.bdd.expect.Expect.prototype.get__has = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.have;


org.apache.royale.test.bdd.expect.Expect.prototype.get__have = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.with;


org.apache.royale.test.bdd.expect.Expect.prototype.get__with = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.at;


org.apache.royale.test.bdd.expect.Expect.prototype.get__at = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.of;


org.apache.royale.test.bdd.expect.Expect.prototype.get__of = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.same;


org.apache.royale.test.bdd.expect.Expect.prototype.get__same = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.but;


org.apache.royale.test.bdd.expect.Expect.prototype.get__but = function() {
  return this;
};


/**
 * @nocollapse
 * @export
 * @type {org.apache.royale.test.bdd.IExpect}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.does;


org.apache.royale.test.bdd.expect.Expect.prototype.get__does = function() {
  return this;
};


Object.defineProperties(org.apache.royale.test.bdd.expect.Expect.prototype, /** @lends {org.apache.royale.test.bdd.expect.Expect.prototype} */ {
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
not: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__not},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
true: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__true},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
false: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__false},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
null: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__null},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
NaN: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__NaN},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
to: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__to},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
be: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__be},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
been: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__been},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
is: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__is},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
that: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__that},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
which: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__which},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
and: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__and},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
has: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__has},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
have: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__have},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
with: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__with},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
at: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__at},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
of: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__of},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
same: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__same},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
but: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__but},
/**
 * @type {org.apache.royale.test.bdd.IExpect}
 */
does: {
get: org.apache.royale.test.bdd.expect.Expect.prototype.get__does}}
);


/**
 * Metadata
 *
 * @type {Object.<string, Array.<Object>>}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.ROYALE_CLASS_INFO = { names: [{ name: 'Expect', qName: 'org.apache.royale.test.bdd.expect.Expect', kind: 'class' }], interfaces: [org.apache.royale.test.bdd.IExpect] };



/**
 * Reflection
 *
 * @return {Object.<string, Function>}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.ROYALE_REFLECTION_INFO = function () {
  return {
    accessors: function () {
      return {
        'not': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'true': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'false': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'null': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'NaN': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'to': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'be': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'been': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'is': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'that': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'which': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'and': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'has': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'have': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'with': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'at': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'of': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'same': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'but': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'},
        'does': { type: 'org.apache.royale.test.bdd.IExpect', access: 'readonly', declaredBy: 'org.apache.royale.test.bdd.expect.Expect'}
      };
    },
    methods: function () {
      return {
        'Expect': { type: '', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ]; }},
        'equal': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ,'String', true ]; }},
        'equals': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ,'String', true ]; }},
        'eq': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ,'String', true ]; }},
        'strictlyEqual': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ,'String', true ]; }},
        'strictlyEquals': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ '*', false ,'String', true ]; }},
        'within': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'Number', false ,'String', true ]; }},
        'lessThan': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'greaterThan': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'lessThanOrEqual': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'greaterThanOrEqual': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'lt': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'below': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'lte': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'most': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'gt': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'above': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'gte': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'least': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Number', false ,'String', true ]; }},
        'type': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Class', false ,'String', true ]; }},
        'match': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'RegExp', false ,'String', true ]; }},
        'throw': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Class', true ,'String', true ]; }},
        'throws': { type: 'org.apache.royale.test.bdd.IExpect', declaredBy: 'org.apache.royale.test.bdd.expect.Expect', parameters: function () { return [ 'Class', true ,'String', true ]; }}
      };
    }
  };
};
/**
 * @const
 * @type {number}
 */
org.apache.royale.test.bdd.expect.Expect.prototype.ROYALE_COMPILE_FLAGS = 10;